## krusader-trinity 14.1.6~pre4

=== pics/CMakeLists.txt ===
tde_install_icons( DESTINATION ${DATA_INSTALL_DIR}/krusader/icons )

install(
  FILES cr16-app-krusader_root.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
  RENAME krusader_root-16.xpm
)

install(
  FILES cr16-app-krusader_user.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
  RENAME krusader_user-16.xpm
)

install(
  FILES cr32-app-krusader_root.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
  RENAME krusader_root.xpm
)

install(
  FILES cr32-app-krusader_user.xpm
  DESTINATION ${SHARE_INSTALL_PREFIX}/pixmaps
  RENAME krusader_user.xpm
)

=== src/CMakeLists.txt ===
include_directories(
  ${TQT_INCLUDE_DIRS}
  ${TDE_INCLUDE_DIR}
  ${CMAKE_BINARY_DIR}
)


link_directories(
  ${TQT_LIBRARY_DIRS}
  ${TDE_LIB_DIR}
)


##### subfolders

add_subdirectory( app )
add_subdirectory( krArc )
add_subdirectory( tdeconf_update )
add_subdirectory( virt )
tde_conditional_add_subdirectory( BUILD_ISO iso )
tde_conditional_add_subdirectory( BUILD_TAR tar )

=== src/iso/CMakeLists.txt ===
add_subdirectory( libisofs )


include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### tdeio_iso (module)

tde_add_kpart( tdeio_iso AUTOMOC
  SOURCES kisodirectory.cpp kisofile.cpp qfilehack.cpp kiso.cpp iso.cpp
  LINK isofs-static tdecore-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE iso.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)

tde_create_translated_desktop(
  SOURCE isoservice.desktop
  DESTINATION ${DATA_INSTALL_DIR}/konqueror/servicemenus
)

install(
  FILES tdeio_isorc
  DESTINATION ${CONFIG_INSTALL_DIR}
)

=== src/tar/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### tdeio_tar (module)

tde_add_kpart( tdeio_tar AUTOMOC
  SOURCES tar.cpp
  LINK tdecore-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE ar.protocol tar.protocol zip.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/app/ActionMan/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### ActionMan library (static)

tde_add_library( ActionMan STATIC_PIC AUTOMOC
  SOURCES
    actionman.cpp actionpropertybase.ui actionproperty.cpp addplaceholderpopup.cpp
    useractionlistview.cpp useractionpage.cpp
)

=== src/app/KrJS/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### KrJS library (static)

tde_add_library( KrJS STATIC_PIC AUTOMOC
  SOURCES krjs.cpp
)

=== src/iso/libisofs/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### isofs library (static)

tde_add_library( isofs STATIC_PIC AUTOMOC
  SOURCES isofs.c
)

## krusader-trinity 3.5.13.2

=== debian/changelog ===
krusader-trinity (4:3.5.13.2-0ubuntu12.04.0+0) precise; urgency=low

  * Automated git build for v3.5.13.2

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 02 Jun 2013 18:50:38 +0200

krusader-trinity (1.90.0-3) karmic; urgency=low

  * Karmic rebuild

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 02 July 2009 16:08:00 -0600

krusader-trinity (1.90.0-2) intrepid; urgency=low

  * Moved Trinity to /opt/trinity
  * Integrated properly with KDE4.2+

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Thu, 05 March 2009 29:52:00 -0600

krusader-trinity (1.90.0-1) intrepid; urgency=low

  * Added -trinity prefix

 -- Timothy Pearson <kb9vqf@pearsoncomputing.net>  Tue, 02 Dec 2008 01:25:00 -0600

krusader (1.90.0-1) unstable; urgency=low

  [ Ana Beatriz Guerrero Lopez ]
  
  * New upstream release: 
    - GCC 4.3 compatibility (Closes: #455657)
  * Update Debian menu section to new policy.
  * Replace GFDL full license text in debian/copyright for a pointer
    to /usr/share/common-licenses/GFDL-1.2

  [ Fathi Boudra ]
  
  * Update my e-mail address.
  * Remove Angel Ramos from Uploaders field.
  * Bump Standard-Version to 3.7.3.
  * Add kdebase-bin versioned dependency.

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Sun, 23 Mar 2008 15:10:45 +0100

krusader (1.80.0-1) unstable; urgency=low

  * New upstream release.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 22 Jul 2007 20:22:02 +0200

krusader (1.80.0~beta2-1) unstable; urgency=low

  * New upstream release.

  [Fathi Boudra]
  * Update copyright.
  * Remove gcc4.2 support patch. Merged upstream.
  * Update useractions examples patch.

  [Mark Purcell]
  * Update debian/watch.
  * Robust get-orig-source target.

 -- Fathi Boudra <fboudra@free.fr>  Fri, 11 May 2007 18:12:49 +0200

krusader (1.80.0~beta1-1) experimental; urgency=low

  * Add debug package
  * Add automake1.9 to Build-Depends
  * Clean up rules:
    * remove DEB_BUILDDIR
    * add DEB_DESTDIR
    * remove desktop files freedesktop compliant hack
  * Update watch

 -- Fathi Boudra <fboudra@free.fr>  Sun,  7 Jan 2007 16:11:37 +0100

krusader (1.70.1-1) unstable; urgency=low

  * New upstream release
    * fix cleartext in the bookmark file CVE-2006-3816 (Closes: #380063)
  * Convert package to cdbs
  * New maintainers:
    * Maintainer: KDE Extras Team
    * Uploaders: Angel Ramos, Mark Purcell and Fathi Boudra
  * compat: bumped to 5
  * control:
    * removed unneeded Build-depends
    * bumped Standards-Version to 3.7.2
    * Suggests updated
    * Description updated
  * copyright: added missing copyrights and documentations license 
  * docs: added FAQ
  * Added watch file
  * Added some popular useractions to Useractions.xml, patch by Vaclav Juza
  * Added krusader-rootmode to debian menu,thanks to Vaclav Juza
  * Added gcc 4.2 support patch by Martin Michlmayr (Closes: #361933)
  * Fix desktop files path to be freedesktop compliant (Closes: #378138)

 -- Fathi Boudra <fboudra@free.fr>  Sat, 19 Aug 2006 12:37:05 +0200

krusader (1.70.0-1) unstable; urgency=low

  * New upstream release (Closes: #352574, #336169, #343960, #342717, #349874, #351527, #345097, #345098, #349873, #328466, #352367, #347126).
  * It's not clear rar/unrar suggest violates DFSG #4 (Closes: #340706).
  * Krusader doesn't crash now (Closes: #349784, #350890, #355464, #355871).
  * Krusader new upstream doesn't crash viewing .gz files (Closes: #288661).
  * Viewer Window too big appears not be caused by krusader (Closes: #349870).
  * Imposible reproduce white stripe problem (Closes: #349872).
  * Added libkjsembed-dev and libkonq4-dev as build-depends (Closes: #331130).

 -- Angel Ramos <seamus@debian.org>  Sat, 11 Mar 2006 16:43:05 +0100

krusader (1.60.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove Build-Dependency on xlibs-dev (Closes: #347126).
  * Credit and Big Thanks to Justin Pryzby <justinpryzby@users.sourceforge.net>
    for the patch and testing.

 -- Amaya Rodrigo Sastre <amaya@debian.org>  Sat, 21 Jan 2006 21:01:08 +0100

krusader (1.60.0-3) unstable; urgency=low

  * Fixed gcc-4.0 compiling problem (Closes: #326789).
  * Fixed autoconf m68k and mipsel problem (Closes: #310669).
  * de.po corrected (Closes: #313785).
  * Added kdebase-kio-plugins as suggest header (Closes: #322764).
  * The problem with ps/pdf files is a kghostview problem, not
    krusader (Closes: #325130)
  * No segfault on closing the viewer with krusader 1.60 (Closes: #325170).
  * No crash when user switches desktops on krusader 1.60 (Closes: #320297).

 -- Angel Ramos <seamus@debian.org>  Mon, 12 Sep 2005 17:25:48 +0100

krusader (1.60.0-2) unstable; urgency=low

  * Fixed FTBFS on all archs (Closes: #306756).

 -- Angel Ramos <seamus@debian.org>  Wed, 24 May 2005 17:38:48 +0200

krusader (1.60.0-1) unstable; urgency=low

  * New upstream release (Closes: #305494).
  * Package description and suggests update. Thanks Frank Schoolmeesters 
    for the help and reports! (Closes: #291617, #297991).
  * Fixed problem opening documentation (Closes: #291611).
  * Not reporting read-only fs is a kde problem not krusader
    (Closes: #291811).

 -- Angel Ramos <seamus@debian.org>  Wed, 27 Apr 2005 18:12:48 +0200

krusader (1.51-1) unstable; urgency=low

  * New upstream release (Closes: #280037, #287015).
  * Moved from section utils to kde (Closes: #286748).
  * Renamed dk.po to da.po (Closes: #269414).

 -- Angel Ramos <seamus@debian.org>  Thu, 30 Dec 2004 16:18:26 +0100

krusader (1.40-1) unstable; urgency=low

  * New upstream release (Closes: #260824).

 -- Angel Ramos <seamus@debian.org>  Wed, 18 Aug 2004 17:20:27 +0200

krusader (1.30-2) unstable; urgency=low

  * Renamed dk.po to da.po (Closes: #238872).
  * Updated libtool (Closes: #246354).
  * x-ace.desktop problems solved (Closes: #245663, #238052).
 
 -- Angel Ramos <seamus@debian.org>  Fri, 30 Apr 2004 18:35:00 +0200

krusader (1.30-1.2) unstable; urgency=low

  * NMU to fix broken previous NMU


=== debian/control ===
Source: krusader-trinity
Section: kde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 5), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://krusader.sourceforge.net

Package: krusader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: krusader-kde3 (<< 4:3.5.13)
Breaks: krusader-kde3 (<< 4:3.5.13)
Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
 krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
 unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, kdebase-trinity-bin,
 kdebase-kio-plugins-trinity
Description: twin-panel (commander-style) file manager for KDE (and other desktops)
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager for KDE and other desktops, similar to Midnight Commander (C) or Total
 Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

Package: krusader-trinity-dbg
Section: devel
Architecture: any
Replaces: krusader-kde3-dbg (<< 4:3.5.13)
Breaks: krusader-kde3-dbg (<< 4:3.5.13)
Priority: extra
Depends: krusader-trinity (= ${binary:Version})
Description: debugging symbols for krusader-trinity
 This package contains the debugging symbols associated with krusader-trinity.
 They will automatically be used by gdb for debugging krusader-related
 issues.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/kde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

-include /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk

DEB_DESTDIR = $(CURDIR)/debian/krusader-trinity/

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/kde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
	! [ -f /usr/share/libtool/ltmain.sh ] || \
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
	! [ -f /usr/share/libtool/config/ltmain.sh ] || \
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/krusader-trinity::
	# install xpm files used by menu
	install -D -p -m0644 pics/cr16-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root-16.xpm
	install -D -p -m0644 pics/cr16-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user-16.xpm
	install -D -p -m0644 pics/cr32-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root.xpm
	install -D -p -m0644 pics/cr32-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user.xpm
	# install properly kio_isorc
	install -D -p -m0644 iso/kio_isorc \
		$(DEB_DESTDIR)/opt/trinity/share/config/kio_isorc
	# install lintian override
	install -D -p -m0644 debian/krusader.lintian-overrides \
		$(DEB_DESTDIR)/opt/trinity/share/lintian/overrides/krusader

binary-post-install/krusader-trinity::
	rm -rf debian/krusader-trinity/etc/trinity/

## krusader-trinity 14.0.5

=== debian/changelog ===
krusader-trinity (4:14.0.5-0ubuntu17.04.0+0) zesty; urgency=low

  * Automated git build for r14.0.5

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 27 Jul 2018 08:16:56 +0200

=== debian/control ===
Source: krusader-trinity
Section: tde
Priority: optional
Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
Standards-Version: 3.8.4
Homepage: http://krusader.sourceforge.net

Package: krusader-trinity
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
 krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
 unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
 tdebase-tdeio-plugins-trinity
Description: twin-panel (commander-style) file manager for TDE (and other desktops)
 Krusader is a simple, easy, powerful, twin-panel (commander-style) file
 manager for TDE and other desktops, similar to Midnight Commander (C) or Total
 Commander (C).
 .
 It provides all the file management features you could possibly want.
 .
 Plus: extensive archive handling, mounted filesystem support, FTP,
 advanced search module, viewer/editor, directory synchronisation,
 file content comparisons, powerful batch renaming and much much more.
 .
 It supports archive formats: ace, arj, bzip2, deb, iso, lha, rar, rpm, tar,
 zip and 7-zip.
 .
 It handles KIOSlaves such as smb:// or fish://.
 .
 Almost completely customizable, Krusader is very user friendly, fast and looks
 great on your desktop.

Package: krusader-trinity-dbg
Section: devel
Architecture: any
Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
Priority: extra
Depends: krusader-trinity (= ${binary:Version})
Description: debugging symbols for krusader-trinity
 This package contains the debugging symbols associated with krusader-trinity.
 They will automatically be used by gdb for debugging krusader-related
 issues.

## krusader-trinity 14.0.6

=== debian/changelog ===
krusader-trinity (4:14.0.6-0raspbian7.0.0+0) raspbian-wheezy; urgency=low

  * Automated git build for r14.0.6

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 06 Mar 2019 02:16:14 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
@@ -38,8 +38,8 @@
 Package: krusader-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
-Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
+Replaces: krusader-trinity-dbg (<< 4:14.0.0~)
+Breaks: krusader-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: krusader-trinity (= ${binary:Version})
 Description: debugging symbols for krusader-trinity

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include debian/cdbs/kde.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

cdbs_configure_flags := --with-qt-dir=/usr/share/qt3 --disable-rpath --with-xinerama $(cdbs_kde_enable_final) $(cdbs_kde_enable_debug)

DEB_DESTDIR = $(CURDIR)/debian/krusader-trinity/

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

DEB_DH_BUILDDEB_ARGS += -- -Z$(shell dpkg-deb --help | grep -q ":.* xz[,.]" \
                               && echo xz || echo bzip2)

post-patches:: debian/stamp-bootstrap

debian/stamp-bootstrap:
ifneq "$(wildcard /usr/share/libtool/ltmain.sh)" ""
	cp -f /usr/share/libtool/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/config/ltmain.sh)" ""
	cp -f /usr/share/libtool/config/ltmain.sh admin/ltmain.sh
endif
ifneq "$(wildcard /usr/share/libtool/build-aux/ltmain.sh)" ""
	cp -f /usr/share/libtool/build-aux/ltmain.sh admin/ltmain.sh
endif
	cp -f /usr/share/aclocal/libtool.m4 admin/libtool.m4.in
	
	make -f admin/Makefile.common cvs
	touch debian/stamp-bootstrap

install/krusader-trinity::
	# install xpm files used by menu
	install -D -p -m0644 pics/cr16-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root-16.xpm
	install -D -p -m0644 pics/cr16-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user-16.xpm
	install -D -p -m0644 pics/cr32-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root.xpm
	install -D -p -m0644 pics/cr32-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user.xpm
	# install properly tdeio_isorc
	install -D -p -m0644 iso/tdeio_isorc \
		$(DEB_DESTDIR)/opt/trinity/share/config/tdeio_isorc
	# install lintian override
	install -D -p -m0644 debian/krusader.lintian-overrides \
		$(DEB_DESTDIR)/usr/share/lintian/overrides/$(cdbs_curpkg)

binary-post-install/krusader-trinity::
	rm -rf debian/krusader-trinity/etc/trinity/

## krusader-trinity 14.0.8

=== debian/changelog ===
krusader-trinity (4:14.0.8-0ubuntu18.10.0+0) cosmic; urgency=low

  * Automated git build for r14.0.8

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 08 Apr 2020 10:52:00 +0200

## krusader-trinity 14.0.10

=== debian/changelog ===
krusader-trinity (4:14.0.10-2romkrus) universal; urgency=low

  * Applying smb_noCleanPanelAtRename.patch
  * Applying noLockDirAtVirtualCD.patch
  * Applying krusader_fixRefreshPanelAtMove.patch

 -- Roman Savochenko <roman@oscada.org>  Wed, 19 Mar 2025 20:00:00 +0200

krusader-trinity (4:14.0.10-0debian7.0.0+0) wheezy; urgency=low

  * Automated git build for r14.0.10

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 09 Apr 2021 14:46:53 +0200

## krusader-trinity 14.0.11

=== debian/changelog ===
krusader-trinity (4:14.0.11-0debian8.0.0+0) jessie; urgency=low

  * Automated git build for r14.0.11
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.11#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Thu, 08 Jul 2021 00:35:12 +0200

## krusader-trinity 14.0.12

=== debian/changelog ===
krusader-trinity (4:14.0.12-0ubuntu20.10.0+0) groovy; urgency=low

  * Automated git build for r14.0.12
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.12#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 02 Mar 2022 23:05:04 +0100

## krusader-trinity 14.0.13

=== debian/changelog ===
krusader-trinity (4:14.0.13-0ubuntu21.04.0+0) hirsute; urgency=low

  * Automated git build for r14.0.13
  * https://wiki.trinitydesktop.org/Changelog_For_R14.0.13#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 14 Sep 2022 00:33:15 +0200

## krusader-trinity 14.1.0

=== debian/changelog ===
krusader-trinity (4:14.1.0-0ubuntu21.10.0+0) impish; urgency=low

  * Automated git build for r14.1.0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 13 Jan 2023 13:20:00 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,17 @@
 Source: krusader-trinity
 Section: tde
 Priority: optional
-Maintainer: Timothy Pearson <kb9vqf@pearsoncomputing.net>
+Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 7.0.50~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 9~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://krusader.sourceforge.net
 
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
@@ -38,8 +38,8 @@
 Package: krusader-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: krusader-trinity-dbg (<< 4:14.0.0~)
-Breaks: krusader-trinity-dbg (<< 4:14.0.0~)
+Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
+Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: krusader-trinity (= ${binary:Version})
 Description: debugging symbols for krusader-trinity

## krusader-trinity 14.1.1

=== debian/changelog ===
krusader-trinity (4:14.1.1-0debian9.0.0+0) stretch; urgency=low

  * Automated git build for r14.1.1
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.1#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 22 Oct 2023 23:22:02 +0200

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
@@ -38,8 +38,8 @@
 Package: krusader-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
-Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
+Replaces: krusader-trinity-dbg (<< 4:14.0.0~)
+Breaks: krusader-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: krusader-trinity (= ${binary:Version})
 Description: debugging symbols for krusader-trinity

## krusader-trinity 14.1.2

=== debian/changelog ===
krusader-trinity (4:14.1.2-0ubuntu22.10.0+0) kinetic; urgency=low

  * Automated git build for r14.1.2
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.2#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 15 Apr 2024 00:36:36 +0200

## krusader-trinity 14.1.3

=== debian/changelog ===
krusader-trinity (4:14.1.3-0ubuntu23.04.0+0) lunar; urgency=low

  * Automated git build for r14.1.3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.3#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sat, 05 Oct 2024 23:41:45 +0200

## krusader-trinity 14.1.4

=== debian/changelog ===
krusader-trinity (4:14.1.4-0raspbian11.0.0+0) raspbian-bullseye; urgency=low

  * Automated git build for r14.1.4
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.4#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 14 Apr 2025 09:06:08 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 9~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: cdbs, debhelper (>= 10~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://krusader.sourceforge.net

## krusader-trinity 14.1.5~pre10

=== debian/changelog ===
krusader-trinity (4:14.1.5~pre10-0ubuntu18.04.0+3) bionic; urgency=low

  * Automated git build for f9abd9d505434c9244c03eac708e29a0ca042f6b
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 16:31:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: TDE Debian Team <team-debian@trinitydesktop.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: cdbs, debhelper (>= 10~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
+Build-Depends: tde-cdbs, debhelper (>= 10~), quilt, libkonq4-trinity-dev, automake, autoconf, libtool, libltdl-dev
 Standards-Version: 3.8.4
 Homepage: http://krusader.sourceforge.net
 
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
@@ -38,8 +38,8 @@
 Package: krusader-trinity-dbg
 Section: devel
 Architecture: any
-Replaces: krusader-trinity-dbg (<< 4:14.0.0~)
-Breaks: krusader-trinity-dbg (<< 4:14.0.0~)
+Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
+Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
 Priority: extra
 Depends: krusader-trinity (= ${binary:Version})
 Description: debugging symbols for krusader-trinity

## krusader-trinity 14.1.5~pre12

=== debian/changelog ===
krusader-trinity (4:14.1.5~pre12-0ubuntu25.10.0+5) questing; urgency=low

  * Automated git build for 30a13fe52bad5280fd3915acac8cd107ad1b98b3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Oct 2025 22:44:18 +0100

## krusader-trinity 14.1.5

=== debian/changelog ===
krusader-trinity (4:14.1.5-1romkrus) wheezy; urgency=low

  * Applying smb_noCleanPanelAtRename.patch
  * Applying noLockDirAtVirtualCD.patch
  * Applying krusader_fixRefreshPanelAtMove.patch

 -- Roman Savochenko <roman@oscada.org>  Sat, 08 Nov 2025 20:00:00 +0200

krusader-trinity (4:14.1.5-0debian13.0.0+0) trixie; urgency=low

  * Automated git build for r14.1.5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.5#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 31 Oct 2025 02:19:29 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,
@@ -34,15 +34,3 @@
  .
  Almost completely customizable, Krusader is very user friendly, fast and looks
  great on your desktop.
-
-Package: krusader-trinity-dbg
-Section: devel
-Architecture: any
-Replaces: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
-Breaks: krusader-kde3-dbg (<< 4:14.0.0~), krusader-trinity-dbg (<< 4:14.0.0~)
-Priority: extra
-Depends: krusader-trinity (= ${binary:Version})
-Description: debugging symbols for krusader-trinity
- This package contains the debugging symbols associated with krusader-trinity.
- They will automatically be used by gdb for debugging krusader-related
- issues.

## krusader-trinity 14.1.6~pre4

=== debian/changelog ===
krusader-trinity (4:14.1.6~pre4-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 53acf5bbb176c506665403864d83aeb04bb67144
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 17 Nov 2025 02:58:12 +0100

## krusader-trinity 14.1.6~pre5

=== src/app/KViewer/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### KViewer library (static)

tde_add_library( KViewer STATIC_PIC AUTOMOC
  SOURCES krviewer.cpp kimagefilepreview.cpp panelviewer.cpp diskusageviewer.cpp
)

=== src/app/Queue/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Queue library (static)

tde_add_library( Queue STATIC_PIC AUTOMOC
  SOURCES queue.cpp queue_mgr.cpp queuewidget.cpp
)

=== debian/changelog ===
krusader-trinity (4:14.1.6~pre5-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 1fdb79566e3333f30e495b06029f3d115ae90dd3
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 01 Dec 2025 02:52:25 +0100

## krusader-trinity 14.1.6~pre7

=== debian/changelog ===
krusader-trinity (4:14.1.6~pre7-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 3dc25a2456f52828a899131d5adcef5095b51444
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Tue, 16 Dec 2025 11:18:57 +0100

## krusader-trinity 14.1.6~pre9

=== debian/changelog ===
krusader-trinity (4:14.1.6~pre9-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for c29ac1aeecd30a06cf474774510f245244bb4066
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 04 Jan 2026 13:00:31 +0100

## krusader-trinity 14.1.6~pre12

=== src/app/CMakeLists.txt ===
##### subfolders

add_subdirectory( ActionMan )
add_subdirectory( BookMan )
add_subdirectory( Dialogs )
add_subdirectory( DiskUsage )
add_subdirectory( Filter )
add_subdirectory( GUI )
add_subdirectory( Konfigurator )
tde_conditional_add_subdirectory( WITH_JAVASCRIPT KrJS )
add_subdirectory( KViewer )
add_subdirectory( Locate )
add_subdirectory( MountMan )
add_subdirectory( Panel )
add_subdirectory( Queue )
add_subdirectory( RemoteMan )
add_subdirectory( Search )
add_subdirectory( Splitter )
add_subdirectory( Synchronizer )
add_subdirectory( UserAction )
add_subdirectory( UserMenu )
add_subdirectory( VFS )


##### krusader (executable)

include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)

set( LIB_KRJS "" ) 
if( HAVE_JAVASCRIPT )
  add_definitions( -D__KJSEMBED__ )
  set( LIB_KRJS "KrJS-static kjsembed kjs-shared" ) 
endif( )

set( LIB_KONQ "" ) 
if( HAVE_LIBKONQ )
  tde_import( libkonq )
  set( LIB_KONQ "konq-shared" ) 
endif( )

tde_add_executable( krusader AUTOMOC
  SOURCES
    paneltabbar.cpp panelmanager.cpp krservices.cpp main.cpp
    krusaderview.cpp krusader.cpp krslots.cpp kicons.cpp 
  LINK
    Panel-static Search-static ActionMan-static BookMan-static DiskUsage-static Filter-static
    GUI-static Konfigurator-static KViewer-static Locate-static MountMan-static Queue-static
    RemoteMan-static Splitter-static Synchronizer-static UserAction-static UserMenu-static
    VFS-static filelightparts-static radialmap-static ${LIB_KONQ} ${LIB_KRJS} Dialogs-static
    tdecore-shared tdeui-shared tdeio-shared tdeparts-shared tdeutils-shared ${ACL_LIBRARIES}
  DESTINATION
    ${BIN_INSTALL_DIR}
)


##### other files

install(
  FILES
    krusaderui.rc
    alpa-yellow.color bash.color dos_navigator.color midnight_commander.color
    midnight_cmd_AHamann.color total_commander.color total_cmd_pleasent.color
    midnight_commander.keymap midnight_commander.keymap.info
    total_commander.keymap total_commander.keymap.info
    useraction_examples.xml splash.png
  DESTINATION
    ${DATA_INSTALL_DIR}/${PROJECT_NAME}
)

install(
  FILES recode.js recode.ui mount.js mount.ui calc.js calc.ui select_from_file.js
  DESTINATION ${DATA_INSTALL_DIR}/${PROJECT_NAME}/js
)

tde_install_icons( DESTINATION ${SHARE_INSTALL_PREFIX}/icons )

tde_create_translated_desktop(
  SOURCE krusader.desktop krusader_root-mode.desktop
  DESTINATION ${XDG_APPS_INSTALL_DIR}
)

=== src/virt/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### tdeio_virt (module)

tde_add_kpart( tdeio_virt AUTOMOC
  SOURCES virt.cpp
  LINK tdecore-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE virt.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/app/Synchronizer/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Synchronizer library (static)

tde_add_library( Synchronizer STATIC_PIC AUTOMOC
  SOURCES
    synchronizedialog.cpp synchronizer.cpp synchronizergui.cpp
    feedtolistboxdialog.cpp synchronizertask.cpp synchronizerdirlist.cpp
)

=== src/app/UserMenu/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### UserMenu library (static)

tde_add_library( UserMenu STATIC_PIC AUTOMOC
  SOURCES usermenu.cpp
)

=== src/app/VFS/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### VFS library (static)

tde_add_library( VFS STATIC_PIC AUTOMOC
  SOURCES
    krvfshandler.cpp virt_vfs.cpp vfs.cpp vfile.cpp temp_vfs.cpp normal_vfs.cpp krpermhandler.cpp
    krdirwatch.cpp krarchandler.cpp preservingcopyjob.cpp virtualcopyjob.cpp ftp_vfs.cpp krquery.cpp
)

=== src/app/DiskUsage/filelightParts/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### filelightparts library (static)

tde_add_library( filelightparts STATIC_PIC AUTOMOC
  SOURCES Config.cpp fileTree.cpp
)

=== debian/changelog ===
krusader-trinity (4:14.1.6~pre12-0ubuntu26.04.0+1~a) resolute; urgency=low

  * Automated git build for 20d1ea84096d2ff1847b2f75e3aeb9f0de4f3fb5
  * https://wiki.trinitydesktop.org/Changelog_For_R14.1.6#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Fri, 30 Jan 2026 01:52:20 +0100

## krusader-trinity 14.2.0~pre102

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre102-0raspbian11.0.0+6) raspbian-bullseye; urgency=low

  * Automated git build for 086012dcad8a976a0dabbb7cbc20c9cb612cdfa9
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 31 Aug 2025 16:25:26 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Currently is not possible to build piklab with --enable-final
DEB_BUILD_OPTIONS += noopt

include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/class/tde.mk

DEB_CONFIGURE_INCLUDEDIR := /opt/trinity/include/tde
DEB_CONFIGURE_MANDIR := /opt/trinity/share/man
DEB_CONFIGURE_PREFIX := /opt/trinity
DEB_CONFIGURE_INFODIR := /opt/trinity/share/info

DEB_DESTDIR = $(CURDIR)/debian/krusader-trinity/

DEB_CONFIGURE_EXTRA_FLAGS := --prefix=/opt/trinity --with-extra-libs=/opt/trinity/lib --with-extra-includes=/opt/trinity/include/tde

install/krusader-trinity::
	# install xpm files used by menu
	install -D -p -m0644 pics/cr16-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root-16.xpm
	install -D -p -m0644 pics/cr16-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user-16.xpm
	install -D -p -m0644 pics/cr32-app-krusader_root.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_root.xpm
	install -D -p -m0644 pics/cr32-app-krusader_user.xpm \
		$(DEB_DESTDIR)/opt/trinity/share/pixmaps/krusader_user.xpm
	# install properly tdeio_isorc
	install -D -p -m0644 src/iso/tdeio_isorc \
		$(DEB_DESTDIR)/opt/trinity/share/config/tdeio_isorc
	# install lintian override
	install -D -p -m0644 debian/krusader.lintian-overrides \
		$(DEB_DESTDIR)/usr/share/lintian/overrides/$(cdbs_curpkg)

binary-post-install/krusader-trinity::
	rm -rf debian/krusader-trinity/etc/trinity/

=== debian/watch ===
version=3
opts=dversionmangle=s/~/-/ \
     http://sf.net/krusader/krusader-([\d\.].*)\.tar\.gz debian svn-upgrade

## krusader-trinity 14.2.0~pre103

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre103-0ubuntu25.10.0+8) questing; urgency=low

  * Automated git build for f607154a59961ca71d792d7130425effe40aca20
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Oct 2025 01:54:27 +0100

## krusader-trinity 14.2.0~pre104

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre104-0ubuntu18.04.0+8) bionic; urgency=low

  * Automated git build for 21b05d767551100a1ed28f32db89a5a5971a6684
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Wed, 29 Oct 2025 22:28:52 +0100

=== debian/control ===
--- 
+++ 
@@ -10,8 +10,8 @@
 Package: krusader-trinity
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Replaces: krusader-trinity (<< 4:14.0.0~)
-Breaks: krusader-trinity (<< 4:14.0.0~)
+Replaces: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
+Breaks: krusader-kde3 (<< 4:14.0.0~), krusader-trinity (<< 4:14.0.0~)
 Suggests: md5deep | cfv, kedit-trinity, khexedit-trinity, konsole-trinity, kmail-trinity,
  krename-trinity, kdiff3-trinity | kompare-trinity | xxdiff, ark-trinity, arj, bzip2, cpio, lha,
  unrar | unrar-free | rar, rpm, unace, unzip, zip, p7zip, tdebase-trinity-bin,

=== debian/rules ===
--- 
+++ 
@@ -28,9 +28,6 @@
 	# install properly tdeio_isorc
 	install -D -p -m0644 src/iso/tdeio_isorc \
 		$(DEB_DESTDIR)/opt/trinity/share/config/tdeio_isorc
-	# install lintian override
-	install -D -p -m0644 debian/krusader.lintian-overrides \
-		$(DEB_DESTDIR)/usr/share/lintian/overrides/$(cdbs_curpkg)
 
 binary-post-install/krusader-trinity::
 	rm -rf debian/krusader-trinity/etc/trinity/

## krusader-trinity 14.2.0~pre107

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre107-0raspbian13.0.0+8) raspbian-trixie; urgency=low

  * Automated git build for d0692ed19f7eb17a08ddbe6c8cb3191b03c3f9f7
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Mon, 10 Nov 2025 03:24:24 +0100

## krusader-trinity 14.2.0~pre108

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre108-0debian14.0.1+9~a) forky; urgency=low

  * Automated git build for b9d01ea849b71deb12a1d27270685da4c1c3d0c0
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 18:59:02 +0100

## krusader-trinity 14.2.0~pre109

=== CMakeLists.txt ===
############################################
#                                          #
#  Improvements and feedbacks are welcome  #
#                                          #
#  This file is released under GPL >= 3    #
#                                          #
############################################


##### set project version ########################

include( TDEVersion )
cmake_minimum_required( VERSION ${TDE_CMAKE_MINIMUM_VERSION} )
tde_set_project_version( )


#### general package setup

project( krusader )
set( PACKAGE krusader )
set( PACKAGE_VERSION 1.90.0 )


#### include essential cmake modules

include( FindPkgConfig          )
include( CheckSymbolExists      )
include( CheckIncludeFile       )
include( CheckIncludeFileCXX    )
include( CheckIncludeFiles      )
include( CheckLibraryExists     )
include( CheckCSourceCompiles   )
include( CheckCXXSourceCompiles )


#### include our cmake modules

include( TDEMacros )


##### setup install paths

include( TDESetupPaths )
tde_setup_paths( )


##### optional stuff

option( WITH_ALL_OPTIONS    "Enable all optional support" ON )
option( WITH_JAVASCRIPT     "Enable JavaScript support" OFF )
option( WITH_KONQUEROR      "Enable Konqueror's servicemenus support" ${WITH_ALL_OPTIONS} )
option( WITH_ACL            "Enable ACL support" ${WITH_ALL_OPTIONS} )

option( WITH_GCC_VISIBILITY "Enable fvisibility and fvisibility-inlines-hidden" ${WITH_ALL_OPTIONS} )


##### user requested modules

option( BUILD_ALL          "Build all"                 ON           )
option( BUILD_DOC          "Build documentation"       ${BUILD_ALL} )
option( BUILD_TRANSLATIONS "Build translations"        ${BUILD_ALL} )

option( BUILD_ISO          "Build own iso tdeio-slave" OFF )
option( BUILD_TAR          "Build own tar tdeio-slave" OFF )


##### configure checks

include( ConfigureChecks.cmake )


###### global compiler settings

add_definitions( -DHAVE_CONFIG_H )

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${TQT_CXX_FLAGS}" )
set( CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,--no-undefined" )
set( CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -Wl,--no-undefined" )


##### directories

add_subdirectory( pics )
add_subdirectory( src )


##### other data ################################

tde_conditional_add_project_docs( BUILD_DOC )
tde_conditional_add_project_translations( BUILD_TRANSLATIONS )


##### write configure files

configure_file( config.h.cmake config.h @ONLY )

=== src/krArc/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### tdeio_krarc (module)

tde_add_kpart( tdeio_krarc AUTOMOC
  SOURCES krarc.cpp
  LINK tdecore-shared tdeio-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)


##### other data

tde_create_translated_desktop(
  SOURCE krarc.protocol
  DESTINATION ${SERVICES_INSTALL_DIR}
)

=== src/app/Konfigurator/CMakeLists.txt ===
include_directories(
  ${CMAKE_CURRENT_SOURCE_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/../GUI
  ${CMAKE_CURRENT_BINARY_DIR}
)


##### Konfigurator library (static)

tde_add_library( Konfigurator STATIC_PIC AUTOMOC
  SOURCES
    kgcolors.cpp kgdependencies.cpp konfiguratorpage.cpp konfiguratoritems.cpp konfigurator.cpp
    kgwelcome.cpp kgstartup.cpp kglookfeel.cpp kggeneral.cpp kgarchives.cpp kgadvanced.cpp
    kguseractions.cpp kgprotocols.cpp krresulttable.cpp krresulttabledialog.cpp searchobject.cpp
)

=== debian/changelog ===
krusader-trinity (4:14.2.0~pre109-0ubuntu26.04.0+9~a) resolute; urgency=low

  * Automated git build for cfa12e2abdfc5d447dbf507cd7a6005acf607807
  * https://wiki.trinitydesktop.org/Changelog_For_R14.2.0#krusader

 -- Slávek Banko <slavek.banko@axis.cz>  Sun, 16 Nov 2025 18:57:25 +0100
